Products
Get product
GET
/
products
/
{id}
Get product
curl --request GET \
--url https://api.connectadesk.com/api/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connectadesk.com/api/v1/products/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 305,
"name": "Monitor 27 polegadas 4K",
"sku": "MONITOR-27-POLEGADAS-4K",
"price": "1299.90",
"description": "IPS panel, 60 Hz, HDMI and DisplayPort input.",
"image": "https://cdn.exemplo.com/products/305.png",
"isActive": true,
"categoryId": 7,
"category": {
"id": 7,
"name": "Periféricos",
"color": "#0E7490",
"createdAt": "2026-03-11T14:20:00.000Z",
"updatedAt": "2026-03-11T14:20:00.000Z"
},
"createdAt": "2026-04-02T11:15:00.000Z",
"updatedAt": "2026-08-18T10:40:00.000Z"
}
}{
"error": {
"code": "ERR_API_UNAUTHORIZED",
"message": "Token de API ausente ou inválido."
}
}{
"error": {
"code": "ERR_API_FORBIDDEN_SCOPE",
"message": "O token não tem permissão para este método neste módulo. A mensagem real nomeia os dois."
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}Authorizations
API token in the sk_live_… format.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 305,
"name": "Monitor 27 polegadas 4K",
"sku": "MONITOR-27-POLEGADAS-4K",
"price": "1299.90",
"description": "IPS panel, 60 Hz, HDMI and DisplayPort input.",
"image": "https://cdn.exemplo.com/products/305.png",
"isActive": true,
"categoryId": 7,
"category": {
"id": 7,
"name": "Periféricos",
"color": "#0E7490",
"createdAt": "2026-03-11T14:20:00.000Z",
"updatedAt": "2026-03-11T14:20:00.000Z"
},
"createdAt": "2026-04-02T11:15:00.000Z",
"updatedAt": "2026-08-18T10:40:00.000Z"
}
⌘I
Get product
curl --request GET \
--url https://api.connectadesk.com/api/v1/products/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.connectadesk.com/api/v1/products/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.connectadesk.com/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connectadesk.com/api/v1/products/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/products/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": 305,
"name": "Monitor 27 polegadas 4K",
"sku": "MONITOR-27-POLEGADAS-4K",
"price": "1299.90",
"description": "IPS panel, 60 Hz, HDMI and DisplayPort input.",
"image": "https://cdn.exemplo.com/products/305.png",
"isActive": true,
"categoryId": 7,
"category": {
"id": 7,
"name": "Periféricos",
"color": "#0E7490",
"createdAt": "2026-03-11T14:20:00.000Z",
"updatedAt": "2026-03-11T14:20:00.000Z"
},
"createdAt": "2026-04-02T11:15:00.000Z",
"updatedAt": "2026-08-18T10:40:00.000Z"
}
}{
"error": {
"code": "ERR_API_UNAUTHORIZED",
"message": "Token de API ausente ou inválido."
}
}{
"error": {
"code": "ERR_API_FORBIDDEN_SCOPE",
"message": "O token não tem permissão para este método neste módulo. A mensagem real nomeia os dois."
}
}{
"error": {
"code": "ERR_API_NOT_FOUND",
"message": "Registro não encontrado."
}
}
